#!/bin/bash

nginx_conf_file="/etc/nginx/nginx.conf"

search_pattern='[[:space:]]*if[[:space:]]*\(\$host[[:space:]]*!\~\*[[:space:]]*".*?"\)[[:space:]]*{[[:space:]]*'

temp_file="$(mktemp)"

awk -v pattern="$search_pattern" '{
    if (match($0, pattern)) {
        in_block = 1;
        next;
    }
    if (in_block) {
        if (/}/) {
            in_block = 0;
            next;
        }
        next;
    }
    print;
}' "$nginx_conf_file" > "$temp_file"

mv "$temp_file" "$nginx_conf_file"

rm -f "$temp_file"

sudo systemctl reload nginx
